Replace various pre-C99 constructs with C99-compatible versions.
These are in generated autoconf code, which is why configure.in
does not need changes.

diff --git a/configure b/configure
index 55fafeaa0b6e3846..b6147d3426b1c772 100755
--- a/configure
+++ b/configure
@@ -2767,7 +2767,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   for ac_declaration in \
-   '' \
+   '#include <stdlib.h>' \
    'extern "C" void std::exit (int) throw (); using std::exit;' \
    'extern "C" void std::exit (int); using std::exit;' \
    'extern "C" void exit (int) throw ();' \
@@ -3470,8 +3470,8 @@ main ()
   for (i = 0; i < 256; i++)
     if (XOR (islower (i), ISLOWER (i))
 	|| toupper (i) != TOUPPER (i))
-      exit(2);
-  exit (0);
+      return 2;
+  return 0;
 }
 _ACEOF
 rm -f conftest$ac_exeext
@@ -3838,7 +3838,7 @@ main ()
     char c[sizeof (long)];
   } u;
   u.l = 1;
-  exit (u.c[sizeof (long) - 1] == 1);
+  return u.c[sizeof (long) - 1] == 1;
 }
 _ACEOF
 rm -f conftest$ac_exeext
